package de.cnam.jemina.extern.auth;

/**
 * Schnittstelle f&uuml;r das User-Objekt, welches von einem Fremdsystem
 * &uuml;bertragen wird.
 * @see IUserDirectory
 * @author CNAM Team (Nadine, Mike, Jens)
 * @since 20.01.2013
 */
public interface IUser {
    
    public enum ROLLE { STUDENT, MITARBEITER };
    
    String getLoginId();

    String getName();

    ROLLE getRole();
    
    String getTheme();

}
