package de.cnam.jemina.ui.components.sub;

import com.vaadin.ui.Component;
import com.vaadin.ui.CustomComponent;
import com.vaadin.ui.VerticalLayout;
import de.cnam.jemina.i18n.LocalizationManager;
import de.cnam.jemina.objects.Zeitschrift;

/**
 * Zu Darstellung einer Zeitschrift
 * @author CNAM Team (Nadine, Mike, Jens)
 */
public class DisplayZeitschrift extends CustomComponent {
    
    // Fuer die Uebersetzung:
    private final LocalizationManager locale = LocalizationManager.getLocalizationManager(Zeitschrift.class);
    
    
    public DisplayZeitschrift(Zeitschrift article, boolean canEdit) {
        super();
        setCompositionRoot(genUi(article,canEdit));
    }

    private Component genUi(Zeitschrift article, boolean canEdit) {
        VerticalLayout layout = new VerticalLayout();
        layout.setSizeFull();
        layout.setSpacing(true);
        
        return layout;
    }

}
