package de.cnam.jemina.ui.controlls.listener;

import com.vaadin.event.MouseEvents;
import de.cnam.jemina.entrypoint.IJeminaApplication;
import de.cnam.jemina.ui.egg.EggUtil;

/**
 * Kleines Easter-Egg zu Revision 100 :)
 * @author CNAM Team (Nadine, Mike, Jens)
 */
public class EasterEggListener implements MouseEvents.ClickListener {
    
    // App
    private IJeminaApplication app;
    
    public EasterEggListener(IJeminaApplication app) {
        super();
        this.app = app;
    }

    @Override
    public void click(MouseEvents.ClickEvent event) {
        if (event.isCtrlKey()) {
            // Nur mit gedrueckter STRG Taste
            app.showWarning( EggUtil.getRandomMsg() );
        }
    }
}
